"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var RadioGroupWithinFormComponent = (function () {
    function RadioGroupWithinFormComponent(group) {
        this.group = group.control;
    }
    Object.defineProperty(RadioGroupWithinFormComponent.prototype, "control", {
        get: function () {
            if (!this.group || !this.name) {
                return;
            }
            return this.group.get(this.name);
        },
        enumerable: true,
        configurable: true
    });
    return RadioGroupWithinFormComponent;
}());
RadioGroupWithinFormComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'app-radio-group-within-form-group',
                templateUrl: './radio-group-within-form.component.html',
                styleUrls: ['./radio-group-within-form.component.scss'],
            },] },
];
/** @nocollapse */
RadioGroupWithinFormComponent.ctorParameters = function () { return [
    { type: forms_1.FormGroupDirective, },
]; };
RadioGroupWithinFormComponent.propDecorators = {
    'options': [{ type: core_1.Input },],
    'name': [{ type: core_1.Input },],
};
exports.RadioGroupWithinFormComponent = RadioGroupWithinFormComponent;
//# sourceMappingURL=radio-group-within-form.component.js.map